[package]
name = "minilase"
version = "1.0.0"
edition = "2021"

[lib]
name ="ezcad"
path = "src/lib.rs"

[[bin]]
name = "minilase"
path = "src/main.rs"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
binrw = "0.13.3"
clap = { version = "4.4.11", features = ["derive"] }
clap-verbosity-flag = "2.1.1"
dialoguer = "0.11.0"
diff-struct = "0.5.3"
env_logger = "0.10.1"
float-cmp = "0.10.0"
human-repr = { version = "1.1.0", features = ["serde"] }
itertools = "0.12.0"
log = "0.4.20"
modular-bitfield = "0.11.2"
num = "0.4.1"
num-format = "0.4.4"
num_enum = "0.7.1"
rand = "0.8.5"
regex = "1.10.4"
serde = { version = "1.0.193", features = ["derive"] }
serde_repr = "0.1.18"
serde_yaml = "0.9.29"
strum = { version = "0.25.0", features = ["derive"] }

[features]
default = []
default-debug = []
